Bug 204541 - Install with 2 preexisting Windows partitions, only one setup in grub...
Install with 2 preexisting Windows partitions, only one setup in grub...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-29 16:11 EDT by Tom London
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 01:34:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2006-08-29 16:11:11 EDT
Description of problem:
Installing FC5 onto a Compaq PC:

The drive is factory setup with 2 bootable partitions:
    first partition: FAT32 'recovery system'
    second partition: NTFS 'default XP' system.

Installing FC5 after the above 2 partitions produces a grub.conf with only the
first partition as an "Other" boot option.  [Booting systems 'recovers XP', that
it, it rewrites the MBR, etc.]

Shouldn't anaconda/grub produce a grub.conf with both bootable windows partitions?

Version-Release number of selected component (if applicable):


How reproducible:
Every time


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2006-09-06 01:34:41 EDT
Unfortunately, _most_ Windows partitions appear bootable and so we only do the
first one.  Otherwise, we hit problems where we set up lots of unbootable
partitions.
Comment 2 Tom London 2006-09-06 09:47:16 EDT
(In reply to comment #1)
> Unfortunately, _most_ Windows partitions appear bootable and so we only do the
> first one.  Otherwise, we hit problems where we set up lots of unbootable
> partitions.

Installing Ubuntu on same system setup grub with both Windows partitions, so I
could choose between them.

Hadn't thought about the unbootable partitions.... No problem leaving this CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.